NvMTriTrophicTable {cheddar} | R Documentation

## N-versus-M tri-trophic statistics

### Description

Tri-trophic statistics.

### Usage

    NvMTriTrophicTable(collection)

### Arguments

`collection` | an object of class `CommunityCollection`.

### Details

Returns a `data.frame` that contains the same statistics presented in Table 1 on Cohen et al 2009 PNAS. The function removes nodes lacking body mass (M) and/or numerical abundance (N), cannibalistic links and isolated nodes from each community. The last eight rows of the table contain four network statistics both with and without these removals.

### Value

A `data.frame` with a column per community and the rows

`Mean link length` |
`Mean L upper` |
`Mean L lower` |
`2 x mean link length` |
`Mean 2-span` |
`Mean L upper + L lower` |
`2 x mean link length / mean 2-span` |
`Mean L upper + L lower/ mean 2-span` |
`Mean count chain length` |
`Mean count chain length x mean link length` |
`Community span` |
`Mean count chain length x mean link length / community span` |
`Mean sum chain lengths` |
`Mean chain span` |
`Mean chain span / community span` |
`Mean sum chain lengths / mean chain span` |
`Mean sum chain lengths / community span` |
`L` | number of trophic links after removals.
`S^2` | number of nodes squared after removals.
`L/S^2` | directed connectance links after removals.
`L/S` | linkage density after removals.
`L` | number of trophic links before removals.
`S^2` | number of nodes squared before removals.
`L/S^2` | directed connectance links before removals.
`L/S` | linkage density before removals.

### Author(s)

Lawrence Hudson

### References

Cohen, J.E. and Schittler, D.N. and Raffaelli, D.G. and Reuman, D.C. (2009) Food webs are more than the sum of their tritrophic parts. Proceedings of the National Academy of Sciences of the United States of America 106, 52, 22335–22340.

### See Also

`NvMTriTrophicStatistics`, `CommunityCollection`

### Examples

    data(TL84, TL86, YthanEstuary)
    collection <- CommunityCollection(list(TL84, TL86, YthanEstuary))
    table <- NvMTriTrophicTable(collection)
    print(round(table, 2))

[Package cheddar version 0.1-633 Index]